#
# spec file for package python3-django-xmlrpc
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Summary:       XML-RPC Server App for the Django framework
Name:          python3-django-xmlrpc
Version:       0.1.7
Release:       1.6
License:       MIT
Group:         Development/Libraries/Python
Url:           http://code.google.com/p/django-command-extensions/
Source:        https://files.pythonhosted.org/packages/source/d/django-xmlrpc/django-xmlrpc-%{version}.tar.gz
BuildRequires: python3-devel
BuildRequires: python3-django
BuildRequires: python3-setuptools
Requires:      python3-django
BuildArch:     noarch

%description
django_xmlrpc offers a means by which a Django developer can expose their views (or indeed any other function) using XML-RPC.

%prep

%setup -n django-xmlrpc-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Mon Dec 12 2016 arun@gmx.de
- update to version 0.1.7:
  * Better logging for direct callable
  * Handle AppConfig for autodiscover
  * Better name for functions
  * Make the module Python 2.6 compatible, and review the code
  * Apply DRY principle with register_xmlrpc_method
  * Deport register logic into a dedicated function with logger
  * Reduce complexity with explicit functions
  * Deport the introspection and multicall into a function
  * Run the registering of xmlrpc methods when the app is ready
  * Move function registering logic into a dedicated module for more
    easy refactoring
  * Fix docstring of xmlrpc_method function
  * Better name for xmlrpc_dispatcher
  * Move instance of DjangoXMLRPCDispatcher to his own module
  * Add apps module
  * Fix classifier
  * Load the conf from xmlrpc modules
  * Clean up on the code
  * Cleaned up comments
  * Implemented autodiscovery
* Sun Oct  2 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.1.6:
  * Reorder the imports
  * Update usage in URLs
  * Pep8 cleanup
  * Update minimal Django version
  * Fix syntax for render_to_response
  * Syntax fix
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires and Requires python3-django
* Sun Sep 29 2013 p.drouand@gmail.com
- Initial python3 support
* Sun Sep 29 2013 p.drouand@gmail.com
- Update to version 0.1.5
  + No changelog available
- Use download url as source url
- Add documentation from tarball
- Use setup.py install script instead of install manually files
- Remove redundant %%clean section
- Clean %%changelog section
* Mon May 31 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
- Added copyright notice
- Added .changes file
